
import javax.swing.JList;
import javax.swing.JOptionPane;
import javax.swing.JScrollPane;

/**
 * Demonstrace použití seznamu JList uvnitř dialogového okna.
 */
public class ListTest {

    public static void main(String[] args) {

        int[] klice = {
            1, 2, 3, 4, 5
        };
        String[] nazvy = {
            "Adam", "Karel", "Jaroslav", "Čeněk", "Roman"
        };

        JList list = new JList(nazvy);
        // kolik řádků bude vidět, pokud dáme komponentu
        // do JScrollPane
        // - aby dialogové okno nebylo moc dlouhé
        list.setVisibleRowCount(3);

        int retval =
                JOptionPane.showConfirmDialog(null, new JScrollPane(
                list), "Vyberte jméno",
                JOptionPane.OK_CANCEL_OPTION);

        if (retval == JOptionPane.OK_OPTION) {
            int vybranyIndex = list.getSelectedIndex();
            if (vybranyIndex < 0) {
                JOptionPane.showMessageDialog(null,
                        "Uživatel nevybral žádnou položku.");
            } else {
                String message =
                        "Uživatel vybral položku "
                        + nazvy[vybranyIndex] + " s klíčem "
                        + klice[vybranyIndex] + ".";
                JOptionPane.showMessageDialog(null, message);
            }
        } else {
            JOptionPane.showMessageDialog(null,
                    "Uživatel stiskl tlačítko 'Storno'.");
        }

    }
}
